Installation de ReadtheDocs en local (Ubuntu)

Je suis les instructions sur ma Ubuntu fraîchement installée : https://read-the-docs.readthedocs.org/en/latest/install.html

Premièrement j’installe python. Avec apt-get install, tout simplement. Je fais confiance à mon OS.
Comme l’installation bloque, je finis par installer un paquet de versions de Python mais les paquets se débrouillent pour me faire un :
python 2.7 et un python3

sudo apt-get install python-virtualenv virtualenvwrapper
sudo apt-get install python3-pippython

Quand j’arrive à la partie d’installation avec pip, premièrement c’est Mercurial qui me claque à la figure. Alors, je lance la commande avec pip3 au lieu de pip tout court.

cd readthedocs.org
pip3 install -r pip_requirements.txt

Erreur

Downloading/unpacking virtualenv==1.11.1 (from -r pip_requirements.txt (line 2))
Real name of requirement virtualenv is virtualenv
Error while getting https://pypi.python.org/packages/source/v/virtualenv/virtualenv-1.11.1.tar.gz#md5=7875c2d8c2075571abe5e727449af4d8 (from https://pypi.python.org/simple/virtualenv/)
Exception:
Traceback (most recent call last):
File "/usr/lib/python3.3/urllib/request.py", line 1252, in do_open
h.request(req.get_method(), req.selector, req.data, headers)
File "/usr/lib/python3.3/http/client.py", line 1061, in request
self._send_request(method, url, body, headers)
File "/usr/lib/python3.3/http/client.py", line 1099, in _send_request
self.endheaders(body)
File "/usr/lib/python3.3/http/client.py", line 1057, in endheaders
self._send_output(message_body)
File "/usr/lib/python3.3/http/client.py", line 902, in _send_output
self.send(msg)
File "/usr/lib/python3.3/http/client.py", line 840, in send
self.connect()
File "/usr/lib/python3/dist-packages/pip/download.py", line 90, in connect
sock = socket.create_connection((self.host, self.port), **self.connection_kwargs)
File "/usr/lib/python3.3/socket.py", line 417, in create_connection
for res in getaddrinfo(host, port, 0, SOCK_STREAM):
FileNotFoundError: [Errno 2] No such file or directory

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/pip/basecommand.py", line 139, in main
status = self.run(options, args)
File "/usr/lib/python3/dist-packages/pip/commands/install.py", line 266, in run
requirement_set.prepare_files(finder, force_root_egg_info=self.bundle, bundle=self.bundle)
File "/usr/lib/python3/dist-packages/pip/req.py", line 1033, in prepare_files
self.unpack_url(url, location, self.is_download)
File "/usr/lib/python3/dist-packages/pip/req.py", line 1161, in unpack_url
retval = unpack_http_url(link, location, self.download_cache, self.download_dir)
File "/usr/lib/python3/dist-packages/pip/download.py", line 534, in unpack_http_url
resp = _get_response_from_url(target_url, link)
File "/usr/lib/python3/dist-packages/pip/download.py", line 569, in _get_response_from_url
resp = urlopen(target_url)
File "/usr/lib/python3/dist-packages/pip/download.py", line 143, in __call__
response = self.get_opener(scheme=scheme).open(url)
File "/usr/lib/python3.3/urllib/request.py", line 473, in open
response = self._open(req, data)
File "/usr/lib/python3.3/urllib/request.py", line 491, in _open
'_open', req)
File "/usr/lib/python3.3/urllib/request.py", line 451, in _call_chain
result = func(*args)
File "/usr/lib/python3/dist-packages/pip/download.py", line 123, in https_open
return self.do_open(self.specialized_conn_class, req)
File "/usr/lib/python3.3/urllib/request.py", line 1255, in do_open
raise URLError(err)
urllib.error.URLError:

Version de virtualenv
Je mets donc à jour virtualenv

sudo apt-get upgrade python-virtualenv

Cela ne fait rien de plus😦
Alors je cherche sur Internet et je finis par trouver un moyen de mettre à jour virtualenv pour python 2.7

python2.7 -m easy_install virtualenv

La suite…j’ai répété la procédure d’installation et tout s’est bien passé. C’est presque décevant !

Ajouter mes idées

Entrez vos coordonnées ci-dessous ou cliquez sur une icône pour vous connecter:

Logo WordPress.com

Vous commentez à l'aide de votre compte WordPress.com. Déconnexion / Changer )

Image Twitter

Vous commentez à l'aide de votre compte Twitter. Déconnexion / Changer )

Photo Facebook

Vous commentez à l'aide de votre compte Facebook. Déconnexion / Changer )

Photo Google+

Vous commentez à l'aide de votre compte Google+. Déconnexion / Changer )

Connexion à %s